Deeply API Documentation main logoDeeply API Documentation main logo textDeeply API Documentation main logo text
User GuideServer API Reference
Search...
k
LanguageENKO

© 2026 Deeply Inc.

Deeply Logo Icon

Deeply API Documentation

    Release Notes

    Quick Start

    API Quick Start Guide
    Authorization
    Rate Limit

    Architecture

    Overall Architecture
    Edge Server System

    Events

    Events
    Event Categories
    List Events
    GET
    Get An Event
    GET

    Composite Events

    Composite Events
    List Composite Events
    GET
    Get A Composite Event
    GET
    Listen Live Composite Events
    WebSocket

    Live Events

    Live Events
    Listen Live Events
    WebSocket

    Edges

    Edge Server
    List Edge Servers
    GET
    Get An Edge Server
    GET
    Update Edge Server
    PATCH

    Microphones

    Mic Device
    List Mic Devices
    GET
    Get A Mic Device
    GET
    Update Mic Device
    PATCH

    Auth

    Reissue Token
    GET
    1. Reference
    2. API Quick Start Guide

    Getting Started with API

    Follow the shortest path from API key preparation to your first successful request.

    Last updated: November 11, 2026

    BannerDeeply API Documentation

    Deeply API provides REST endpoints for central server integration and WebSocket interfaces for real-time events. If you are new here, complete these three steps first.

    1. Prepare Your API Key

    • API Key: long-lived credential used only to issue an access token
    • Access Token: Bearer token used for normal API requests

    If your key has not been issued yet, contact contact@deeplyinc.com.

    2. Issue An Access Token

    Use the API Key to issue an access token, then use the access token for normal API calls.

    1
    2
    3
    4
    5
    6
    7
    8
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/auth/reissue', {
      method: 'GET',
      headers: {
        "Authorization": "Bearer YOUR_API_KEY"
      }
    });
    
    const data = await response.json();

    3. Send Your First Request

    After token issuance, List Events is the fastest endpoint to validate your integration.

    1
    2
    3
    4
    5
    6
    7
    8
    const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10', {
      method: 'GET',
      headers: {
        "Authorization": "Bearer YOUR_ACCESS_TOKEN"
      }
    });
    
    const data = await response.json();

    Base URL

    All REST API requests use the following local base URL by default.

    http://{{EDGE_IP}}:8100
    

    If you want to validate the public HTTPS environment, you can also test with https://openapi.deeplyinc.com.

    Public HTTPS Test Requirements

    The items below apply when you test against https://openapi.deeplyinc.com:

    • HTTPS connection with TLS 1.2 or higher
    • Standard port 443
    • DNS cache TTL of 300 seconds
    • API Key

    For firewall and proxy configurations for https://openapi.deeplyinc.com:

    • Allow outbound HTTPS traffic on port 443
    • Whitelist https://openapi.deeplyinc.com or allow all public IP addresses

    Note: Properly configured DNS cache helps prevent requests to stale IP addresses.

    Request Headers

    For normal API requests, include:

    • Content-Type: application/json; charset=utf-8
    • Authorization: Bearer YOUR_ACCESS_TOKEN

    For access-token issuance, use Authorization: Bearer YOUR_API_KEY.

    Read Next

    • Authorization: understand the roles of API key and access token
    • Rate Limit: review quotas before production rollout
    • List Events: best endpoint for your first request
    • Listen Live Events: receive real-time data over WebSocket

    Start Quickly With Postman

    Run In Postman

    Postman is an API client that simplifies API usage. To facilitate integration with Deeply, a Postman Collection is provided. Fork the collection and fill the api_key environment variable with your issued API key to test the main requests immediately.

    Authorization
    1. Prepare Your API Key2. Issue An Access Token3. Send Your First RequestBase URLPublic HTTPS Test RequirementsRequest HeadersRead NextStart Quickly With Postman